Bug 64536 - [EFL] Ignore empty requests on policy decisions.
Summary: [EFL] Ignore empty requests on policy decisions.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-14 10:06 PDT by Raphael Kubo da Costa (:rakuco)
Modified: 2011-08-02 12:50 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.47 KB, patch)
2011-07-14 10:07 PDT, Raphael Kubo da Costa (:rakuco)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa (:rakuco) 2011-07-14 10:06:07 PDT
[EFL] Ignore empty requests on policy decisions.
Comment 1 Raphael Kubo da Costa (:rakuco) 2011-07-14 10:07:13 PDT
Created attachment 100821 [details]
Patch
Comment 2 Gyuyoung Kim 2011-07-19 19:02:40 PDT
LGTM.
Comment 3 Raphael Kubo da Costa (:rakuco) 2011-07-25 14:42:15 PDT
CC'ing tonikitoo in hopes that the patch gets an r+.
Comment 4 Kenneth Rohde Christiansen 2011-08-02 12:01:53 PDT
Comment on attachment 100821 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100821&action=review

As other ports are doing this, I will go ahead and say r+, but maybe it could/should be fixed elsewhere.

> Source/WebKit/efl/WebCoreSupport/FrameLoaderClientEfl.cpp:292
> +
> +    if (resourceRequest.isNull()) {
> +        callPolicyFunction(function, PolicyIgnore);

Why would this be called when the resource request is empty anyway? I mean, shouldn't this be fixed elsewhere?
Comment 5 WebKit Review Bot 2011-08-02 12:50:19 PDT
Comment on attachment 100821 [details]
Patch

Clearing flags on attachment: 100821

Committed r92216: <http://trac.webkit.org/changeset/92216>
Comment 6 WebKit Review Bot 2011-08-02 12:50:25 PDT
All reviewed patches have been landed.  Closing bug.